## net.sf.saxon.om
Interface GroundedIterator

All Superinterfaces:
  SequenceIterator

All Known Implementing Classes:
  ArrayIterator, ListIterator, MemoClosure.ProgressiveIterator, SingletonIterator

public interface GroundedIterator
extends SequenceIterator

This interface is an extension to the SequenceIterator interface; it represents a SequenceIterator that is based on an in-memory representation of a sequence, and that is therefore capable of returned a SequenceValue containing all the items in the sequence.

Method Summary
`Value` `materialize()` Return a Value containing all the items in the sequence returned by this SequenceIterator.

Methods inherited from interface net.sf.saxon.om.SequenceIterator
`current, getAnother, next, position`

Method Detail

### materialize

    public Value materialize()
                      throws XPathException

  Return a Value containing all the items in the sequence returned by this SequenceIterator. This should be an "in-memory" value, not a Closure.

  Returns:
    the corresponding Value
  Throws:
    `XPathException`